# This file created by conda-build 24.1.2
# meta.yaml template originally from:
# /feedstock/recipe, last modified Wed Jul 17 06:11:40 2024
# ------------------------------------------------

package:
  name: snowflake-snowpark-python
  version: 1.19.0
source:
  sha256: 774e04b48570d74f59787b5d588d98efe94e058273e043095328b1d80a416ce7
  url: https://github.com/snowflakedb/snowpark-python/archive/refs/tags/v1.19.0.tar.gz
build:
  number: '0'
  script: /croot/snowflake-snowpark-python_1721196716366/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_p/bin/python
    -m pip install . --no-deps --no-build-isolation -v
  script_env:
    - SNOWFLAKE_IS_PYTHON_RUNTIME_TEST=1
  string: py38hd43f75c_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - ca-certificates 2024.7.2 hd43f75c_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.4.4 h419075a_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.4 h419075a_0
    - openssl 3.0.14 h998d150_0
    - pip 24.0 py38hd43f75c_0
    - python 3.8.19 h4bb2201_0
    - readline 8.2 h998d150_0
    - setuptools 69.5.1 py38hd43f75c_0
    - sqlite 3.45.3 h998d150_0
    - tk 8.6.14 h987d8db_0
    - wheel 0.43.0 py38hd43f75c_0
    - xz 5.4.6 h998d150_1
    - zlib 1.2.13 h998d150_1
  run:
    - cloudpickle >=1.6.0,<=2.2.1,!=2.1.0,!=2.2.0
    - python >=3.8,<3.9.0a0
    - pyyaml
    - snowflake-connector-python >=3.10.0,<4.0.0
    - typing-extensions >=4.1.0,<5.0.0
  run_constrained:
    - modin ==0.28.1
    - opentelemetry-api >=1.0.0,<2.0.0
    - opentelemetry-sdk >=1.0.0,<2.0.0
    - pandas <3.0.0,>=1.0.0
test:
  commands:
    - pip check
  imports:
    - snowflake.snowpark
    - snowflake.snowpark._internal
    - snowflake.snowpark._internal.analyzer
    - snowflake.snowpark.mock
  requires:
    - pip
about:
  description: 'The Snowpark library provides intuitive APIs for querying and

    processing data in a data pipeline. Using this library, you can

    build applications that process data in Snowflake without having

    to move data to the system where your application code runs.

    '
  dev_url: https://github.com/snowflakedb/snowpark-python
  doc_url: https://github.com/snowflakedb/snowpark-python/blob/main/README.md
  home: https://github.com/snowflakedb/snowpark-python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE.txt
  summary: Snowflake Snowpark Python API
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 7617c0d7-ddd4-4a2e-9043-1cd2fdbf57eb
  recipe-maintainers:
    - sfc-gh-achandrasekaran
    - sfc-gh-mkeller
    - sfc-gh-yixie
  remote_url: git@github.com:AnacondaRecipes/snowpark-python-feedstock.git
  sha: b2de765325c497aee21589f5cdb8a3a6ca52f05a
  skip-lints:
    - python_build_tool_in_run
